It fails to build on Alpine / musl.

Upstream-Issue: https://github.com/twitter/rezolus/issues/216

--- a/src/config/samplers.rs
+++ b/src/config/samplers.rs
@@ -12,7 +12,6 @@
 use samplers::memcache::MemcacheConfig;
 use samplers::memory::MemoryConfig;
 use samplers::network::NetworkConfig;
-use samplers::ntp::NtpConfig;
 use samplers::nvidia::NvidiaConfig;
 use samplers::page_cache::PageCacheConfig;
 use samplers::rezolus::RezolusConfig;
@@ -42,8 +41,6 @@
     #[serde(default)]
     network: NetworkConfig,
     #[serde(default)]
-    ntp: NtpConfig,
-    #[serde(default)]
     nvidia: NvidiaConfig,
     #[serde(default)]
     page_cache: PageCacheConfig,
@@ -94,10 +91,6 @@
         &self.network
     }
 
-    pub fn ntp(&self) -> &NtpConfig {
-        &self.ntp
-    }
-
     pub fn nvidia(&self) -> &NvidiaConfig {
         &self.nvidia
     }
--- a/src/main.rs
+++ b/src/main.rs
@@ -84,7 +84,6 @@
     Memory::spawn(common.clone());
     PageCache::spawn(common.clone());
     Network::spawn(common.clone());
-    Ntp::spawn(common.clone());
     Nvidia::spawn(common.clone());
     Rezolus::spawn(common.clone());
     Scheduler::spawn(common.clone());
--- a/src/samplers/mod.rs
+++ b/src/samplers/mod.rs
@@ -23,7 +23,6 @@
 pub mod memcache;
 pub mod memory;
 pub mod network;
-pub mod ntp;
 pub mod nvidia;
 pub mod page_cache;
 pub mod rezolus;
@@ -41,7 +40,6 @@
 pub use memcache::Memcache;
 pub use memory::Memory;
 pub use network::Network;
-pub use ntp::Ntp;
 pub use nvidia::Nvidia;
 pub use page_cache::PageCache;
 pub use rezolus::Rezolus;
--- a/configs/example.toml
+++ b/configs/example.toml
@@ -249,31 +249,6 @@
 # 	"p99",
 # ]
 
-# The NTP sampler provides basic telemetry for the running network time protocol
-# daemon.
-[samplers.ntp]
-# Controls wherther to use this sampler
-enabled = true
-
-# Sampling interval, in milliseconds, for this sampler
-# interval = 1000
-
-# The set of exported statistics may be limited by specifying them, otherwise
-# the complete set of statistics will be exported.
-# statistics = [
-# 	"network/receive/bytes",
-#   "network/transmit/bytes"
-# ]
-
-# The set of exported percentiles can be controlled by specifying them here
-# percentiles = [
-# 	"p1",
-# 	"p10",
-# 	"p50",
-# 	"p90",
-# 	"p99",
-# ]
-
 # The Nvidia sampler provides telemetry for Nvidia GPUs by using the NVML
 # library.
 [samplers.nvidia]
